
class DNSManager::Request
	# Periodic actions to perform as an administrator.
	IPC::JSON.message Maintenance, 7 do
		enum Subject
			Verbosity      # Change the verbosity of dnsmanagerd.
		end

		property subject : Subject
		property value : Int32?

		def initialize(@subject)
		end

		def handle(dnsmanagerd : DNSManager::Service, event : IPC::Event) : IPC::JSON
			user = dnsmanagerd.get_logged_user event
			return Response::ErrorUserNotLogged.new unless user

			# This request means serious business.
			# TODO: check for admin.

			case @subject
			when Subject::Verbosity
				if verbosity = @value
					Baguette::Context.verbosity = verbosity
				end
				Response::Success.new
			else
				Response::Error.new "not implemented"
			end
		end
	end
	DNSManager.requests << Maintenance
end
