
class DNSManager::Response
	IPC::JSON.message DomainDeleted, 9 do
		property domain : String
		def initialize(@domain)
		end
	end
	DNSManager.responses << DomainDeleted

	IPC::JSON.message InvalidZone, 10 do
		# For now, Error is just an alias on String.
		property errors : Array(Storage::Zone::Error)
		def initialize(@errors)
		end
	end
	DNSManager.responses << InvalidZone

	# Domain of a zone cannot change, for security reasons.
	IPC::JSON.message DomainChanged, 11 do
		def initialize
		end
	end
	DNSManager.responses << DomainChanged

	IPC::JSON.message Zone, 12 do
		property zone : Storage::Zone
		def initialize(@zone)
		end
	end
	DNSManager.responses << Zone

	IPC::JSON.message UnknownZone, 13 do
		def initialize()
		end
	end
	DNSManager.responses << UnknownZone

	IPC::JSON.message DomainList, 14 do
		property domains : Array(String)
		def initialize(@domains)
		end
	end
	DNSManager.responses << DomainList

	IPC::JSON.message AcceptedDomains, 15 do
		property domains : Array(String)
		def initialize(@domains)
		end
	end
	DNSManager.responses << AcceptedDomains

	IPC::JSON.message Logged, 16 do
		property accepted_domains : Array(String)
		property       my_domains : Array(String)
		def initialize(@accepted_domains, @my_domains)
		end
	end
	DNSManager.responses << Logged

	IPC::JSON.message DomainAdded, 17 do
		property domain : String
		def initialize(@domain)
		end
	end
	DNSManager.responses << DomainAdded

	IPC::JSON.message RRDeleted, 18 do
		property rrid : UInt32
		def initialize(@rrid)
		end
	end
	DNSManager.responses << RRDeleted

	IPC::JSON.message RRAdded, 19 do
		property domain : String
		property rr : Storage::Zone::ResourceRecord
		def initialize(@domain, @rr)
		end
	end
	DNSManager.responses << RRAdded

	IPC::JSON.message InvalidRR, 20 do
		# For now, Error is just an alias on String.
		property errors : Array(Storage::Zone::Error)
		def initialize(@errors)
		end
	end
	DNSManager.responses << InvalidRR

	IPC::JSON.message RRUpdated, 21 do
		property domain : String
		property rr : Storage::Zone::ResourceRecord
		def initialize(@domain, @rr)
		end
	end
	DNSManager.responses << RRUpdated

	IPC::JSON.message RRReadOnly, 22 do
		property domain : String
		property rr : Storage::Zone::ResourceRecord
		def initialize(@domain, @rr)
		end
	end
	DNSManager.responses << RRReadOnly
end

